Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513911 - Problem with upgrade system from Fedora 26 to Fedora 27.
Summary: Problem with upgrade system from Fedora 26 to Fedora 27.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk3
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 09:28 UTC by Janusz
Modified: 2018-01-19 13:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-19 13:40:52 UTC


Attachments (Terms of Use)

Description Janusz 2017-11-16 09:28:57 UTC
Description of problem:


Version-Release number of selected component (if applicable): 

Linux localhost.localdomain 4.13.12-200.fc26.x86_64 #1 SMP Wed Nov 8 16:47:26 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
It happen all time when I try upgrade system.

Steps to Reproduce:
1. sudo dnf upgrade --refresh 
2. sudo dnf install dnf-plugin-system-upgrade
3. udo dnf system-upgrade download --releasever=27

Actual results:

 Problem: package gnome-web-photo-0.10.5-9.fc24.x86_64 requires libjavascriptcoregtk-3.0.so.0()(64bit), but none of the providers can be installed
  - webkitgtk3-2.4.11-5.fc26.x86_64 does not belong to a distupgrade repository
  - problem with installed package gnome-web-photo-0.10.5-9.fc24.x86_64


Expected results:

Upgrade from Fedora 26 to Fedora 27

Additional info:

Comment 1 Tony Gale 2018-01-19 13:15:38 UTC
Removing web photo left over from fc24 should allow you to continue:

# rpm -ev gnome-web-photo-0.10.5-9.fc24.x86_64

Comment 2 Janusz 2018-01-19 13:40:52 UTC
Problem fixed.


Note You need to log in before you can comment on or make changes to this bug.